# Jaspersoft cookbook attributes start from below
default['jaspersoft_app']['jasper'].tap do |param|
  param['temp_download_loc'] = '/apps/downloads'
  param['ssm_paramstore_path'] = '/devops/jasper_pg_pass'
  param['ssm_paramstore_path_binaryurl'] = '/devops/chef/binaryurl'
  # Below are the attributes we have to change as per our requirements for Jasper and Java binaries download
  param['jasper_mount'] = '/apps'
  param['jasper_binary_version'] = '7.2.0'
  param['apache_binary_version'] = '7.0.72'
  param['java_binary_version'] = '8u231'
  param['java_version'] = '1.8.0_231'
  param['jasper_os_bit'] = 'x64'
  param['jasper_os_family'] = 'linux'
  param['jasper_user'] = 'jspadmin'
  param['jasper_group_main'] = node['jaspersoft_app']['jasper']['jasper_user']
  param['jasper_home_dir'] = "/home/#{node['jaspersoft_app']['jasper']['jasper_user']}"
  param['postgres_server_required'] = 'yes' # #yes - if you want install postres server / no - postgres server not required
  param['postgres_binary_version'] = '10.4-1'
  param['postgres_os_family'] = 'linux'
  param['postgres_os_bit'] = 'x64'
  param['postgres_user'] = 'postgres'
  param['postgres_group_main'] = node['jaspersoft_app']['jasper']['postgres_user']
  param['postgres_home_dir'] = "/home/#{node['jaspersoft_app']['jasper']['postgres_user']}"
  param['postgres_app_dir'] = '/apps/PostgreSQL'
  param['postgres_data_dir'] = '/apps/PostgreSQL/data'
  param['postgres_install_mode'] = 'unattended'
  param['postgres_install_dir'] = "/apps/PostgreSQL/#{node['jaspersoft_app']['jasper']['postgres_binary_version']}"
  param['postgres_temp_dir'] = '/apps/downloads/postgres'
  param['postgres_host'] = 'localhost'
  param['postgres_port'] = '9400'
  param['postgres_dbuser'] = 'postgres'
  param['postgres_locale'] = 'en_US.utf8'
  # Below are the attributes we have to change as per our requirements for Apache application server
  param['apache_dir'] = '/apps/apache'
  param['apache_user'] = 'tomcat'
  param['apache_version'] = 'tomcat8'
  param['apache_server_port'] = '8072'
  param['apache_http_port'] = '8082'
  param['apache_ajp_port'] = '8092'
  param['apache_https_port'] = '8443'
  param['apache_https_enable'] = 'yes' # If https required please use - yes; default : no
  param['apache_ajpre_port'] = '8443'
  param['tomcat_instance_name'] = 'gvlsystems'
  # Below are the attributes we have to change as per our requirements for metadata details of Jasper server
  param['jasper_dbtype'] = 'postgresql'
  param['jasper_dbhost'] = 'localhost' # Remote DB server details, if not localhost
  # param['db_hostdns'] = 'int.gtobi.npd.bfsaws.net'
  # param['app_db'] = 'jspdb'
  param['jasper_dbuser'] = 'jaspersql'
  param['jasper_schema'] = 'jasper_schema'
  param['jasper_install_type'] = 'minimal' # minimal / (left blank if you want full installation)
  param['jasper_server_type'] = 'new' # (new - First time installation /join - Joining existed DB)
  param['jasper_dbport'] = '9400' # #chnage the DB port appropriately
  param['jasper_dbdbname'] = 'pgsql02' # #change the DBname appropriately
  param['jasper_instance'] = '02'
  param['jasperrmiport'] = '10992'
  param['jasperrmihost'] = 'localhost'
  param['jasperrmijmxname'] = 'jasperserver'
  param['jasper_webname'] = 'jasper-reports'
  param['jasper_client_name'] = 'jasper'
end
